Bug 25011 - Improve display of Production credits (MARC21 508) in OPAC and staff
Summary: Improve display of Production credits (MARC21 508) in OPAC and staff
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 13385
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-27 22:46 UTC by Katrin Fischer
Modified: 2020-05-05 23:06 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This change makes some tiny changes to improve the display and consistency between the OPAC and staff interface: - Capitalization: Production Credits --> Production credits. - Change div to span to avoid display issues. - Make sequence of fields in display match (505, 508, 586).
Version(s) released in:
20.05.00


Attachments
Bug 25011: Add MARC21 508 - Production credits to staff detail page (3.71 KB, patch)
2020-03-27 22:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25011: Improve display of MARC21 508 - Production credits in staff and OPAC (4.57 KB, patch)
2020-03-27 23:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25011: Improve display of MARC21 508 - Production credits in staff and OPAC (4.62 KB, patch)
2020-03-29 18:56 UTC, David Nind
Details | Diff | Splinter Review
Bug 25011: Improve display of MARC21 508 - Production credits in staff and OPAC (4.68 KB, patch)
2020-04-17 07:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-03-27 22:46:31 UTC
Bug 13385 added 508 to the OPAC XSLT detail page, but missed staff.
Comment 1 Katrin Fischer 2020-03-27 22:52:04 UTC
Created attachment 102022 [details] [review]
Bug 25011: Add MARC21 508 - Production credits to staff detail page

Bug 13385 added 508 to the OPAC detail page, but missed the staff
side. This patch makes the display consistent again between staff
and OPAC.

Additional changes:
- Capitalization fix: Production Credits - Production credits
- Changes div to span avoiding display issues

To test:
- Catalog one or more records with none, one and multiple 508 $a
- Check and compare the staff and OPAC detail pages, both
  should display the production credits information now correctly
Comment 2 Katrin Fischer 2020-03-27 23:06:31 UTC
Someone must have already fixed staff side since I put this on my todo list (ages ago). Fixing my patch :)
Comment 3 Katrin Fischer 2020-03-27 23:11:42 UTC
Created attachment 102024 [details] [review]
Bug 25011: Improve display of MARC21 508 - Production credits in staff and OPAC

Makes some tiny changes to improve display and consistency between
OPAC and staff:
- Capitalization fix: Production Credits - Production credits
- Changes div to span avoiding display issues
- Make sequence of fields in display match (505, 508, 586)

To test:
- Catalog one or more records with none, one and multiple 508 $a
- Check and compare the staff and OPAC detail pages, both
  should display the production credits information correctly
Comment 4 David Nind 2020-03-29 08:54:30 UTC
Hi Katrin.

In the staff interface 508 is already included, so when the patch is applied it displays twice (around line 1026 in the patch file, after the 586 field).

The patch does fix the display of 508 in the OPAC.

One thing I noticed is that the 'Contents' heading for 505 displays in the OPAC, but doesn't in the staff interface (this is the case before and after the patch is applied).

David
Comment 5 Katrin Fischer 2020-03-29 11:38:11 UTC
Hi David, sorry, I had realized my mistake but missed to obsolete the first patch. The patch attached now should be ok. Please file a bug for 505 - happy to have a look.
Comment 6 David Nind 2020-03-29 18:56:36 UTC
Created attachment 102059 [details] [review]
Bug 25011: Improve display of MARC21 508 - Production credits in staff and OPAC

Makes some tiny changes to improve display and consistency between
OPAC and staff:
- Capitalization fix: Production Credits - Production credits
- Changes div to span avoiding display issues
- Make sequence of fields in display match (505, 508, 586)

To test:
- Catalog one or more records with none, one and multiple 508 $a
- Check and compare the staff and OPAC detail pages, both
  should display the production credits information correctly

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2020-03-29 18:58:24 UTC
(In reply to Katrin Fischer from comment #5)
> Hi David, sorry, I had realized my mistake but missed to obsolete the first
> patch. The patch attached now should be ok. Please file a bug for 505 -
> happy to have a look.

No problem! The contents is now displaying correctly in the staff interface, so I'll pu that down to me! David
Comment 8 Marcel de Rooy 2020-04-17 07:39:45 UTC
Created attachment 103119 [details] [review]
Bug 25011: Improve display of MARC21 508 - Production credits in staff and OPAC

Makes some tiny changes to improve display and consistency between
OPAC and staff:
- Capitalization fix: Production Credits - Production credits
- Changes div to span avoiding display issues
- Make sequence of fields in display match (505, 508, 586)

To test:
- Catalog one or more records with none, one and multiple 508 $a
- Check and compare the staff and OPAC detail pages, both
  should display the production credits information correctly

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 9 Martin Renvoize 2020-04-17 08:20:35 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 10 Joy Nelson 2020-05-05 23:06:27 UTC
enhancement not backported to 19.11.x